using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace RDH.Data.Models
{
    [Serializable]
    [DataContract]
    public partial class StorageSpacePortableLinkTransaction : BaseModel
    {
        #region Fileds
        private Guid _key;
        private Guid? _portableStorageTransactionkey;
        private Guid? _storagespacePortbaleLinkkey;
        private Guid? _createby;
        private bool? _flag;
        private DateTime? _clienttime;
        private DateTime? _servertime;
        private string _ext01;
        private string _ext02;
        private string _ext03;
        private string _ext04;
        private string _ext05;
        private string _ext06;
        private string _ext07;
        private string _ext08;
        private string _ext09;
        private string _ext10;
        private Guid? _devicekey;
        private Guid? _storagespacekey;
        private Guid? _storagespacesnapshotkey;
        private Guid? _plankey;
        private PortableStorageTransaction _poratableStorageTransaction;
        private StorageSpacePortableLink _storagespacePortableLink;
        #endregion

        #region Public Properties

        [DataMember]
        public virtual Guid Key
        {
            get { return _key; }
            set
            {
                _key = value;
                OnPropertyChanged("Key");
            }
        }
        [DataMember]
        public virtual Guid? PortableStorageTransactionkey
        {
            get { return _portableStorageTransactionkey; }
            set
            {
                _portableStorageTransactionkey = value;
                OnPropertyChanged("PortableStorageTransactionkey");
            }
        }
        [DataMember]
        public virtual Guid? StoragespacePortbaleLinkkey
        {
            get { return _storagespacePortbaleLinkkey; }
            set
            {
                _storagespacePortbaleLinkkey = value;
                OnPropertyChanged("StoragespacePortbaleLinkkey");
            }
        }
        [DataMember]
        public virtual Guid? CreateBy
        {
            get { return _createby; }
            set
            {
                _createby = value;
                OnPropertyChanged("CreateBy");
            }
        }
        [DataMember]
        public virtual bool? Flag
        {
            get { return _flag; }
            set
            {
                _flag = value;
                OnPropertyChanged("Flag");
            }
        }
        [DataMember]
        public virtual DateTime? ClientTime
        {
            get { return _clienttime; }
            set
            {
                _clienttime = value;
                OnPropertyChanged("ClientTime");
            }
        }
        [DataMember]
        public virtual DateTime? ServerTime
        {
            get { return _servertime; }
            set
            {
                _servertime = value;
                OnPropertyChanged("ServerTime");
            }
        }
        [DataMember]
        public virtual string Ext01
        {
            get { return _ext01; }
            set
            {
                _ext01 = value;
                OnPropertyChanged("Ext01");
            }
        }
        [DataMember]
        public virtual string Ext02
        {
            get { return _ext02; }
            set
            {
                _ext02 = value;
                OnPropertyChanged("Ext02");
            }
        }
        [DataMember]
        public virtual string Ext03
        {
            get { return _ext03; }
            set
            {
                _ext03 = value;
                OnPropertyChanged("Ext03");
            }
        }
        [DataMember]
        public virtual string Ext04
        {
            get { return _ext04; }
            set
            {
                _ext04 = value;
                OnPropertyChanged("Ext04");
            }
        }
        [DataMember]
        public virtual string Ext05
        {
            get { return _ext05; }
            set
            {
                _ext05 = value;
                OnPropertyChanged("Ext05");
            }
        }
        [DataMember]
        public virtual string Ext06
        {
            get { return _ext06; }
            set
            {
                _ext06 = value;
                OnPropertyChanged("Ext06");
            }
        }
        [DataMember]
        public virtual string Ext07
        {
            get { return _ext07; }
            set
            {
                _ext07 = value;
                OnPropertyChanged("Ext07");
            }
        }
        [DataMember]
        public virtual string Ext08
        {
            get { return _ext08; }
            set
            {
                _ext08 = value;
                OnPropertyChanged("Ext08");
            }
        }
        [DataMember]
        public virtual string Ext09
        {
            get { return _ext09; }
            set
            {
                _ext09 = value;
                OnPropertyChanged("Ext09");
            }
        }
        [DataMember]
        public virtual string Ext10
        {
            get { return _ext10; }
            set
            {
                _ext10 = value;
                OnPropertyChanged("Ext10");
            }
        }
        [DataMember]
        public virtual Guid? DeviceKey
        {
            get { return _devicekey; }
            set
            {
                _devicekey = value;
                OnPropertyChanged("DeviceKey");
            }
        }
        [DataMember]
        public virtual Guid? StorageSpaceKey
        {
            get { return _storagespacekey; }
            set
            {
                _storagespacekey = value;
                OnPropertyChanged("StorageSpaceKey");
            }
        }
        [DataMember]
        public virtual Guid? StorageSpaceSnapshotKey
        {
            get { return _storagespacesnapshotkey; }
            set
            {
                _storagespacesnapshotkey = value;
                OnPropertyChanged("StorageSpaceSnapshotKey");
            }
        }
        [DataMember]
        public virtual Guid? PlanKey
        {
            get { return _plankey; }
            set
            {
                _plankey = value;
                OnPropertyChanged("PlanKey");
            }
        }
        public PortableStorageTransaction PoratableStorageTransaction
        {
            get { return _poratableStorageTransaction; }
            set
            {
                _poratableStorageTransaction = value;
                OnPropertyChanged("PoratableStorageTransaction");
            }
        }
        [DataMember]
        public StorageSpacePortableLink StoragespacePortableLink
        {
            get { return _storagespacePortableLink; }
            set
            {
                _storagespacePortableLink = value;
                OnPropertyChanged("StoragespacePortableLink");
            }
        }

        #endregion
    }

}
